1. Orders
Fusion Developer Platform
  • Getting started with Fusion
    • Overview
    • API key generation
    • Rate limits
  • API
    • Getting started
    • Market data
      • Get server time
      • Get tickers
      • Get trading pairs
      • Get orderbook
      • Get candles
      • Get assets
    • Account
      • Get account
      • Get account balances
    • Trading
      • Orders
        • Get orders
          GET
        • Create order
          POST
        • Get order by ID
          GET
        • Cancel order by ID
          DELETE
      • Trades
        • Get trades
        • Get trade by ID
  • MCP
    • Getting started
    • Available tools
  • CLI
    • Getting Started
    • Commands
  1. Orders

Create order

POST
https://api.fusion.bitpanda.com/v1/account/orders
Submits a new order for execution. The order is processed asynchronously and the response returns the created order's identifier.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢202
application/json
Order accepted
Bodyapplication/json

🟠400
🟠404
🟠422
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.fusion.bitpanda.com/v1/account/orders' \
--header 'x-api-key: <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "pair": "BTC-EUR",
    "side": "Buy",
    "type": "Limit",
    "quantity": 0.1,
    "amount": 100,
    "limitPrice": 61250.55,
    "triggerPrice": 61250.55,
    "timeInForce": "GTC",
    "endTime": "2025-09-30T15:42:10.123Z"
}'
Response Response Example
202 - Example 1
{
    "id": "a3bb189e-8bf9-3888-9912-ace4e6543002",
    "pair": "BTC-EUR",
    "side": "Buy",
    "type": "Limit",
    "status": "new",
    "pricedIn": "BTC",
    "quantity": "0.5",
    "amount": "15000.0",
    "limitPrice": "30000.0",
    "triggerPrice": "29500.0",
    "filledQuantity": "0.25",
    "filledAmount": "7500.0",
    "filledPercentage": "50.0",
    "filledAveragePrice": "30000.0",
    "fee": {
        "amount": "0.45",
        "currency": "EUR"
    },
    "timeInForce": "GTC",
    "updatedAt": "2024-06-15T10:30:00.000Z",
    "createdAt": "2024-06-15T10:29:55.000Z",
    "executedAt": "2024-06-15T10:30:01.000Z",
    "endTime": "2024-06-16T00:00:00.000Z"
}
Modified at 2026-06-26 13:06:15
Previous
Get orders
Next
Get order by ID
Built with